#!/usr/bin/python3

import igraph as ig
from encoder import *
import json
from pathlib import Path
import sys

def testFromFile(path):
	
	readResult = json.loads(Path(path).read_text())

	graph = ig.Graph(readResult["graph"])
	graph.vs[:]["listsize"] = readResult["listSizeFunction"]
	graph.vs[:]["originalIndex"] = range(0,graph.vcount())
	subsets = readResult["nonReducibleSubsets"]

	print(encodingOnlyColorabilityClasses(graph,subsets))


def main():
	testFromFile(f".temp/graphsVettingMethod12Vertices_2/result_{sys.argv[1]}.json")

if __name__ == "__main__":
	main()