#!/usr/bin/python3

import fileinput
import re

stringIndices = [""]
keywords = ["free", "forall", "exists", "and", "or", "xor", "ite", "output"]
res = ''

for i, line in enumerate(fileinput.input()):

	if i == 0:
		res += line + "\n"
		continue

	newTokens = []
	for match in re.finditer(r"\w+", line):
		token = match.group(0)
		if token in keywords:
			newTokens.append(token)
		else:
			occurences = [i for i, e in enumerate(stringIndices) if e == token]

			if occurences == []:
				newTokens.append(len(stringIndices))
				stringIndices.append(token)
			else:
				newTokens.append(occurences[0])

	fillers = re.split(r"\w+", line)

	res += fillers[0]
	for filler, token in zip(fillers[1:], newTokens):
		res += str(token) + filler
	
print(res)